Skip to content

Set this device's optional anonymous Coach telemetry election

PUT
/v1/mobile/coach/telemetry-consent
curl --request PUT \
--url https://api.vocapable.com/v1/mobile/coach/telemetry-consent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "telemetry_opt_in": true }'
Media typeapplication/json
MobileCoachTelemetryConsentUpdateRequest

An explicit current-device election; it is off by default.

object
telemetry_opt_in
required
Telemetry Opt In
boolean
Examplegenerated
{
"telemetry_opt_in": true
}

Successful Response

Media typeapplication/json
MobileCoachPreferences

The entire finite Coach state for the authenticated current device.

object
telemetry_opt_in
Telemetry Opt In
boolean
recommendations
Recommendations
Array<object>
<= 9 items
MobileCoachRecommendationPreference

Current-device handling of one fixed Workspace Setup recommendation key.

object
key
required
Key
string
Allowed values: team_coverage transfer_destination availability schedule notifications calendar_booking receptionist capacity portal
state
required
State
string
Allowed values: active dismissed snoozed
snoozed_until
Any of:
string format: date-time
Example
{
"telemetry_opt_in": false,
"recommendations": [
{
"key": "team_coverage",
"state": "active"
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}